plugin_platform_interface 2.1.2 icon indicating copy to clipboard operation
plugin_platform_interface: ^2.1.2 copied to clipboard

Reusable base class for platform interfaces of Flutter federated plugins, to help enforce best practices.

Stable versions of plugin_platform_interface

VersionMin Dart SDKUploadedDocumentationArchive
2.1.2Null safety2.124 months agoGo to the documentation of plugin_platform_interface 2.1.2Download plugin_platform_interface 2.1.2 archive
2.1.1Null safety2.124 months agoGo to the documentation of plugin_platform_interface 2.1.1Download plugin_platform_interface 2.1.1 archive
2.1.0Null safety2.124 months agoGo to the documentation of plugin_platform_interface 2.1.0Download plugin_platform_interface 2.1.0 archive
2.0.2Null safety2.127 months agoGo to the documentation of plugin_platform_interface 2.0.2Download plugin_platform_interface 2.0.2 archive
2.0.1Null safety2.1210 months agoGo to the documentation of plugin_platform_interface 2.0.1Download plugin_platform_interface 2.0.1 archive
2.0.0Null safety2.12(dev)15 months agoGo to the documentation of plugin_platform_interface 2.0.0Download plugin_platform_interface 2.0.0 archive
1.0.32.119 months agoGo to the documentation of plugin_platform_interface 1.0.3Download plugin_platform_interface 1.0.3 archive
1.0.22.12 years agoGo to the documentation of plugin_platform_interface 1.0.2Download plugin_platform_interface 1.0.2 archive
1.0.12.12 years agoGo to the documentation of plugin_platform_interface 1.0.1Download plugin_platform_interface 1.0.1 archive
1.0.02.12 years agoGo to the documentation of plugin_platform_interface 1.0.0Download plugin_platform_interface 1.0.0 archive

Prerelease versions of plugin_platform_interface

VersionMin Dart SDKUploadedDocumentationArchive
1.1.0-nullsafety.2Null safety2.12(dev)15 months agoGo to the documentation of plugin_platform_interface 1.1.0-nullsafety.2Download plugin_platform_interface 1.1.0-nullsafety.2 archive
1.1.0-nullsafety.1Null safety2.12(dev)18 months agoGo to the documentation of plugin_platform_interface 1.1.0-nullsafety.1Download plugin_platform_interface 1.1.0-nullsafety.1 archive
1.1.0-nullsafety2.10(dev)18 months agoGo to the documentation of plugin_platform_interface 1.1.0-nullsafetyDownload plugin_platform_interface 1.1.0-nullsafety archive
41
likes
120
pub points
100%
popularity

Publisher

verified publisher iconflutter.dev

Reusable base class for platform interfaces of Flutter federated plugins, to help enforce best practices.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

meta

More

Packages that depend on plugin_platform_interface